Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Mehrere Maß-Eingabe Dialogfeld Modifizieren vereinfachen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Mehrere Maß-Eingabe Dialogfeld Modifizieren vereinfachen (1012 mal gelesen)
4kspeed
Mitglied



Sehen Sie sich das Profil von 4kspeed an!   Senden Sie eine Private Message an 4kspeed  Schreiben Sie einen Gästebucheintrag für 4kspeed

Beiträge: 89
Registriert: 27.10.2016

erstellt am: 09. Jun. 2017 14:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Dialogfeld-Bemasung.jpg

 
Angenommen ich muss schnell in der Skizze (part)
die 2 Maße abändern (immer nur die 2 in Kreis, siehe Skizzen-Beispiel als Anhang).

Für meine Maus heißt das,
Maß A navigieren und doppelklicken... danach Maß B navigieren und doppelklicken...

Das ist doch zuviel Mausarbeit bzw. Mausquälerei wenn ich das jeden Tag 100 mal die gleiche Maße abändern muss (wegen Individuelle Anpassung bzw. Sonderteilanfertigung ist es immer unterschiedlich). 

Ich stelle mir so schneller vor z.b. mit einer Macro, ohne das man die Maus zwingend benutzen muss!

Start Makro:
Maß A Dialogfeld "Modifizieren" öffnet sich,
nach einer Betätigung (Enter) öffnet sich dann automatisch das Maß B Dialogfeld "Modifizieren"

Mit dem Makrorecorder habe ich schon versucht er erkennt das Dialogfeld nicht bzw. nimmt nicht mit auf. 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ThoMay
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von ThoMay an!   Senden Sie eine Private Message an ThoMay  Schreiben Sie einen Gästebucheintrag für ThoMay

Beiträge: 5152
Registriert: 15.04.2007

SWX 2017
Windows 10 x64

erstellt am: 09. Jun. 2017 19:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 4kspeed 10 Unities + Antwort hilfreich


Bild01-20170609.JPG


Teil1-skizzenmasse.SLDPRT

 
Hallo 4kspeed.

Du kannst auch mit einer Tabelle arbeiten.
Dann brauchst du nur die Tabelle öffnen und die Maße eingeben.
Wenn du willst kannst du dann auch einzelen Konfigurationen anlegen. Für eine größere Anzahl würde ich das aber nicht tun.
Anschließend kannst du die Skizze in der Bibliothe als LibFeatPart abspeichern.
Bei neueem Teil einfach auf die Hauptebene ziehen und Maße in der Tabelle ändern.

Gruß
ThoMay

------------------
Hast du Fragen?
Brauchst du
Schaut mal nach im Bereich
Alle Foren => Wissenstransfer.
oder
Konstrukteure Online hier bei CAD.de
Richtig fragen -
Nettiquette - Konstruktionshilfen - Systeminfo - Unities - CAD Freeware - Forenübersicht - 3D Modelle - SolidWorks Videos

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 3037
Registriert: 11.02.2005

PNY FX 380
Win 7 64bit
SWX 2014 SP 4.0

erstellt am: 11. Jun. 2017 09:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 4kspeed 10 Unities + Antwort hilfreich

die Maße über Dateieigenschaften steuern
dann kannst du dir einen Reiter im Property Part Builder hinterlegen
und dort die Maße einfach eingeben

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4209
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/MD/TMD
CSWS-C/D/I/MBD/VIS
CSWP-Core/DT/MT/SM/SU/WD
CSWE/CSSP/CSPP/CSWI/SWPUC
SWX Digital Media Award 2018/2019
SOLIDWORKS 2019SP4
SOLIDWORKS 2020SP1
Simulation, Composer, MBD,
Inspection, PDMP, Visualize,
TopsWorks, TableAddIn etc.
Passungstabelle von Heinz
WIN10x64 1903 HP ZBook 17 G5

erstellt am: 11. Jun. 2017 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 4kspeed 10 Unities + Antwort hilfreich

Dann wäre noch die Möglichkeit, die Werte über Gleichungen greifbar zu machen.

Außerdem würde ich immer Instant2D (und Instant3D) verwenden. Da braucht es keine Doppelklicke, sondern nur einfache. Man muss für die Änderung auch nicht in die Skizze gehen. Und den Wert kann man so direkt in die Bemaßung schreiben, anstelle der etwas sperrigeren Dialogbox. Und zu guter Letzt wird direkt neu aufgebaut; das kann man sich also auch noch sparen...

Also schon bei der Handarbeit ginge es deutlich eleganter...

------------------
Einen schönen Gruß von Heiko
- www.dps-software.de - www.iknow-solidworks.de -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2354
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 12. Jun. 2017 06:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 4kspeed 10 Unities + Antwort hilfreich

Als letzte Möglichkeiten gäbe es auch noch den Configurations-Publisher, hier würden die Konfigurationen erst beim einfügen in eine Baugruppe erzeugt werden, analog der Registerkarte mit steuernden Eigenschaften bzw. Bibliotheksfeature mit Wertetabelle, kannst du die Werte direkt in einem Task bzw. auf einer Property Manager Page eingeben (Auf dieser hast du nur zusätzliche Eingriffsmöglichkeiten wie Min/Max Werte, Einstellbarkeit des Inkrementes, Checkboxen, Listen usw.).

Für etwas komplexere Themen, nach was sich deine ganzen Macro-Anfragen langsam anhören, gibt es in SolidWorks auch Drive-Works Express oder MacroSheet (von DPS) um Teilautomatisiert Konstruktionen zu erstellen.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete  

[Diese Nachricht wurde von bk.sc am 12. Jun. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

4kspeed
Mitglied



Sehen Sie sich das Profil von 4kspeed an!   Senden Sie eine Private Message an 4kspeed  Schreiben Sie einen Gästebucheintrag für 4kspeed

Beiträge: 89
Registriert: 27.10.2016

erstellt am: 12. Jun. 2017 07:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich gehe davon aus dass die Zusatzanwendungen (Drive-Works Express, MacroSheet) was kosten?


Wenn das Teil keine Skizze hat geht es so schneller...

Code:
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc

'  MACRO PLAYBACK START

boolstatus = Part.Extension.SelectByID2("Point1@Ursprung", "EXTSKETCHPOINT", 0, 0, 0, False, 0, Nothing, 0)
Part.ClearSelection2 True
Dim skSegment As Object
Set skSegment = Part.SketchManager.CreateCenterLine(0#, 0#, 0#, 0#, 0.03, 0#)
Part.ClearSelection2 True
Set skSegment = Part.SketchManager.CreateCenterLine(0#, 0#, 0#, 0.03, 0#, 0#)
Part.ClearSelection2 True

'  MACRO PLAYBACK OVER

Set skSegment = Part.SketchManager.CreateLine(0#, 0#, 0#, 0.063284, 0#, 0#)
Part.ClearSelection2 True
Set skSegment = Part.SketchManager.CreateTangentArc(0.063284, 0#, 0#, 0.085177, -0.021554, 0#, 1)
Set skSegment = Part.SketchManager.CreateLine(0.085177, -0.021554, 0#, 0.089277, -0.061218, 0#)
Part.SetPickMode
Part.ClearSelection2 True

Part.ViewZoomTo2 -1.61611937510318E-02, 4.85988914153334E-02, 0.150307013940955, 7.78075500461186E-02, -1.83461613551855E-02, 0.150307013940956
boolstatus = Part.Extension.SelectByID2("Line3", "SKETCHSEGMENT", 4.42430195924623E-02, -3.30883426689681E-04, 0.150307013940956, False, 0, Nothing, 0)
Dim myDisplayDim As Object
Set myDisplayDim = Part.AddDimension2(3.28216634528788E-02, 1.15634392041097E-02, 0)
Part.ClearSelection2 True
Dim myDimension As Object
Set myDimension = Part.Parameter("D1@Skizze9")
Part.ClearSelection2 True

boolstatus = Part.Extension.SelectByID2("Line4", "SKETCHSEGMENT", 8.53254650978294E-02, -3.01688236810092E-02, 0.142507124019615, False, 0, Nothing, 0)
boolstatus = Part.Extension.SelectByID2("Arc1", "SKETCHSEGMENT", 8.39727745751644E-02, -1.64861081643094E-02, 0.142507124019615, True, 0, Nothing, 0)
Part.SketchAddConstraints "sgTANGENT"
Part.ClearSelection2 True
boolstatus = Part.Extension.SelectByID2("Line4", "SKETCHSEGMENT", 8.44565789923883E-02, -2.59394201139417E-02, 0.142507124019615, False, 0, Nothing, 0)
Part.SketchAddConstraints "sgVERTICAL2D"

Part.ViewZoomTo2 4.61100147033213E-02, -9.51016856126286E-03, 4.9999999999974E-05, 0.126351730460111, -6.70487641413558E-02, 5.00000000003758E-05
boolstatus = Part.Extension.SelectByID2("Line4", "SKETCHSEGMENT", 0.080900990714889, -3.70366786718854E-02, 5.00000000001674E-05, False, 0, Nothing, 0)

Part.ViewZoomTo2 8.60823941897887E-02, -2.33093609163245E-02, 5.00000000000036E-05, 0.207979366181273, -0.102274066042883, 5.0000000000555E-05

boolstatus = Part.Extension.SelectByID2("Line4", "SKETCHSEGMENT", 8.52629175237819E-02, -4.41071245878698E-02, 5.00000000002035E-05, False, 0, Nothing, 0)
Set myDisplayDim = Part.AddDimension2(9.97968369391854E-02, -4.42292583644698E-02, 0)
Part.ClearSelection2 True
Set myDimension = Part.Parameter("D2@Skizze3")

Part.ViewZoomtofit2

End Sub


Nach dem ersten Maß-Eingabe kommt die 2. und dann ist es fertig!

Aber bei einer "vorhandene Skizze" kriege ich es nicht hin, das ist mein Prob.

Tabelleneingabe von Euch sind auch keine schlechte Lösung aber Ihr müsst mit der Maus arbeiten, richtig?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4209
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/MD/TMD
CSWS-C/D/I/MBD/VIS
CSWP-Core/DT/MT/SM/SU/WD
CSWE/CSSP/CSPP/CSWI/SWPUC
SWX Digital Media Award 2018/2019
SOLIDWORKS 2019SP4
SOLIDWORKS 2020SP1
Simulation, Composer, MBD,
Inspection, PDMP, Visualize,
TopsWorks, TableAddIn etc.
Passungstabelle von Heinz
WIN10x64 1903 HP ZBook 17 G5

erstellt am: 12. Jun. 2017 08:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 4kspeed 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von 4kspeed:
Ich gehe davon aus dass die Zusatzanwendungen (Drive-Works Express, MacroSheet) was kosten?

Moin,

nein, die kosten nix. DriveWorksXpress ist immer im SOLIDWORKS enthalten, DPS MacroSheet kannst du auf unserer Homepage herunterladen - und dann kostenfrei nutzen!

------------------
Einen schönen Gruß von Heiko
- www.dps-software.de - www.iknow-solidworks.de -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Konstrukteur Sondermaschinenbau



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2354
Registriert: 18.07.2012

-Solid Works 2019 SP3
-Pro Engineer WF 3

erstellt am: 12. Jun. 2017 11:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 4kspeed 10 Unities + Antwort hilfreich

Hallo,

ich frage dich nochmal: Was ist dein finales Ziel, vielleicht ist ja dein Ansatz falsch bzw. zu kompliziert gedacht?

Hast du dir unter anderem schonmal überlegt Inputboxen oder UserForms für die Werteingaben zu verwenden? Um Bemassungen bzw. Parameter zu ändern benötigst du das Dimension Object und hiervon die Methode SetValue3 (SetUserValueIn2 / SetSystemValue3).

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

4kspeed
Mitglied



Sehen Sie sich das Profil von 4kspeed an!   Senden Sie eine Private Message an 4kspeed  Schreiben Sie einen Gästebucheintrag für 4kspeed

Beiträge: 89
Registriert: 27.10.2016

erstellt am: 16. Jun. 2017 08:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo bk.sc, danke der Nachfrage.

Ganz einfach, Ziel ist es Solidworks ohne mit der Standard-Maus zu arbeiten oder wenigsten minimieren.

Ich werde aber die Zusatzanwendungen die oben genannt wurden mal ausprobieren, danke.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz